NPM-START(1)

NAME
npm-start

Synopsis
<!-- AUTOGENERATED USAGE DESCRIPTIONS -->

Description

This runs a predefined command specified in the &quot;start&quot; property of
a package's &quot;scripts&quot; object.

If the &quot;scripts&quot; object does not define a &quot;start&quot; property, npm
will run node server.js.

Note that this is different from the default node behavior of running
the file specified in a package's &quot;main&quot; attribute when evoking with
node .

As of npm@2.0.0, you can
use custom arguments when executing scripts. Refer to npm run-script for more details.

Example
    {
      "scripts": {
        "start": "node foo.js"
      }
    }
    npm start

    > npm@x.x.x start
    > node foo.js

    (foo.js output would be here)

Configuration
<!-- AUTOGENERATED CONFIG DESCRIPTIONS -->

See Also

    •   npm run-script

    •   npm scripts

    •   npm test

    •   npm restart

    •   npm stop